% je potřeba přejmenovat proměnnné měřené bez MPC tak, že před každé jméno
% přidám b
% bV3_Tt, bhtc, bteplota - bez HTC
% můžu přida a* pro s HTC
% podle toho zakomentovat příslušné řádky, případně doupravit rozměry (data
% nejsou přiložena)
%------------------------------------------------------------------------

M=15;
%okruh=5; %VR-lichý, 1;  MR-sudý, M
%hMin=min(min(htc)); hMax=max(max(htc));
%TMin=min(min(min(teplota)));TMax=max(max(max(teplota)));

for okruh=1:13
s=S(1,okruh); %vzdálenost středu okruhu

cisloRezu=b(okruh,round((n(okruh)+1)/2));

 if cisloRezu>0 
%h=htc(:,okruh);
h=ahtc(:,okruh);
bh=bhtc(:,okruh);
  if mod(okruh,2) %sudý
    kraj=M;
  else kraj=1; %lichý
  end
%m=max(size(teplota(1,1,:)));
m=max(size(ateplota(1,1,:)));
  if m<1001
    t=tout;
  else t=linspace(0,tout(end),m);
%      tb=linspace(0,tout(end),1337);
  end
T=zeros(1,m);
%T(:)=teplota(kraj,cisloRezu,:);
T(:)=ateplota(kraj,cisloRezu,:);
bT=zeros(1,m);
%bT=zeros(1,1337);
bT(:)=bteplota(kraj,cisloRezu,:);

figure(okruh);
subplot(3,1,1);
plot(t,T,'r','LineWidth',2);hold on; 
plot(t,bT,'b','LineWidth',2);hold off; 
%plot(tb,bT,'b','LineWidth',2);hold off; 
title(['Okruh č.',num2str(okruh),', vzdálenost = ',num2str(s),'m']); %hold off;
xlabel('čas [s]'); ylabel(' teplota \newline na okraji [°C]');
%axis([0 t(end) TMin-5 TMax+5]);
axis([0 t(end) min(T)-0.5 max(T)+0.5]);
legend('s MPC','bez MPC');

subplot(3,1,2);
plot(t,h,'r','LineWidth',2); hold on;
plot(t,bh,'b','LineWidth',2); hold off;
%plot(tb,bh,'b','LineWidth',2); hold off;
xlabel('čas [s]'); ylabel(' chlazení \newline [W m^{-2}K^{-1}]');
%axis([0 t(end) hMin-5 hMax+5]);
legend('s MPC','bez MPC');

subplot(3,1,3);
plot(t,V1_v(:,okruh)*100,'c','LineWidth',2);hold on;
plot(t,V2_Ts(:,okruh)*100,'m','LineWidth',2);
%plot(t,V3_Tt(:,okruh)*100,'r','LineWidth',2);
plot(t,aV3_Tt(:,okruh)*100,'r','LineWidth',2);
plot(t,bV3_Tt(:,okruh)*100,'b','LineWidth',2);hold off;
%plot(tb,bV3_Tt(:,okruh)*100,'b','LineWidth',2);hold off;
legend('v','Ts','Tt','Tt bez MPC');
xlabel('čas [s]'); ylabel(' chlazení [%]');
 end %if cisloRezu
end